import { CommonProps } from '@/common/types/props';
import { TreeView, TreeImg, TreeViewImg } from './hive-tree-view-type';
export interface Props extends CommonProps {
    node: TreeView;
    show?: boolean;
    withCheckbox?: boolean;
    children: TreeView;
    choosen?: Record<'node', TreeView | null>;
    checkedAll?: boolean;
    imgArray?: TreeImg[];
    allClosed?: boolean;
    checkedOption?: 'parent-checked' | 'parent-checked-minus' | 'parent-not-checked';
    openedNodes: Set<string | unknown>;
    updateOpened: boolean;
}
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<Props>, {
    show: boolean;
    withCheckbox: boolean;
    checkedAll: boolean;
    allClosed: boolean;
    checkedOption: string;
}>, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    event: (value: Record<string, unknown>) => void;
    mount: () => void;
    unmount: () => void;
    dragStart: (value: TreeView) => void;
    dragEnd: (value: TreeView) => void;
    nodeChoose: (value: TreeView) => void;
    nodeCheck: (value: TreeView, check: boolean) => void;
    nodeMounted: (value: TreeView) => void;
    childrenShow: (id: string, show: boolean) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<Props>, {
    show: boolean;
    withCheckbox: boolean;
    checkedAll: boolean;
    allClosed: boolean;
    checkedOption: string;
}>>> & {
    onMount?: (() => any) | undefined;
    onUnmount?: (() => any) | undefined;
    onEvent?: ((value: Record<string, unknown>) => any) | undefined;
    onDragStart?: ((value: TreeView) => any) | undefined;
    onDragEnd?: ((value: TreeView) => any) | undefined;
    onNodeChoose?: ((value: TreeView) => any) | undefined;
    onNodeCheck?: ((value: TreeView, check: boolean) => any) | undefined;
    onNodeMounted?: ((value: TreeView) => any) | undefined;
    onChildrenShow?: ((id: string, show: boolean) => any) | undefined;
}, {
    show: boolean;
    withCheckbox: boolean;
    checkedAll: boolean;
    allClosed: boolean;
    checkedOption: "parent-checked" | "parent-checked-minus" | "parent-not-checked";
}, {}>, Readonly<{
    main(props: {
        choose: () => void;
        img: string | TreeViewImg | undefined;
        defaultImage: string | undefined;
        node: TreeView;
    }): any;
    after(props: {
        node: TreeView;
    }): any;
}>>;
export default _default;
type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
type __VLS_TypePropsToRuntimeProps<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
type __VLS_WithDefaults<P, D> = {
    [K in keyof Pick<P, keyof P>]: K extends keyof D ? __VLS_Prettify<P[K] & {
        default: D[K];
    }> : P[K];
};
type __VLS_Prettify<T> = {
    [K in keyof T]: T[K];
} & {};
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
