import { WritableComputedRef } from 'vue';
import { CommonProps } from '@/common/types/props';
import type { GridColumns } from './types';
import { CssClassConfig } from './types';
import { ComponentPublicInstance } from 'vue';
interface Props extends CommonProps {
    dataItems: any[] | undefined;
    columns: GridColumns[];
    itemsOnPage?: number;
    showAddButtons?: boolean;
    hasFilter?: boolean;
    colorAlternation?: boolean;
    hideHeader?: boolean;
    query?: string;
    filterFields?: string[];
    filterCaseSensitive?: boolean;
    page?: number;
    rowCssClass?: CssClassConfig;
    extensionFields?: string[];
}
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<Props>, {
    showAddButtons: boolean;
    itemsOnPage: number;
    hasFilter: boolean;
    colorAlternation: boolean;
    hideHeader: boolean;
    query: string;
    page: number;
}>, {
    items: WritableComputedRef<object[]>;
    grid: import("vue").ComponentInternalInstance | null;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, any, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<Props>, {
    showAddButtons: boolean;
    itemsOnPage: number;
    hasFilter: boolean;
    colorAlternation: boolean;
    hideHeader: boolean;
    query: string;
    page: number;
}>>>, {
    page: number;
    showAddButtons: boolean;
    hasFilter: boolean;
    query: string;
    itemsOnPage: number;
    colorAlternation: boolean;
    hideHeader: boolean;
}, {}>, Partial<Record<string, (_: {
    item: any;
    row: Record<string, unknown> | undefined;
    setTrueFlag: () => void;
    rowRef: ComponentPublicInstance | null;
}) => any>> & Partial<Record<string, (_: {
    value: unknown;
    update: (value: unknown) => void;
    isChangeAllowed: boolean;
    toggle: () => void;
    customChange: (value: string, view?: string | undefined) => void;
    row: Record<string, unknown> | undefined;
    hideEdit: () => void;
    item: any;
    setTrueFlag: () => void;
    rowRef: ComponentPublicInstance | null;
}) => any>>>;
export default _default;
type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
type __VLS_TypePropsToRuntimeProps<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
type __VLS_WithDefaults<P, D> = {
    [K in keyof Pick<P, keyof P>]: K extends keyof D ? __VLS_Prettify<P[K] & {
        default: D[K];
    }> : P[K];
};
type __VLS_Prettify<T> = {
    [K in keyof T]: T[K];
} & {};
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
