import { type ComputedRef, type Ref } from 'vue';
import type { Pane, TouchSplitter } from '@/components/hive-splitter/types';
interface SplitterTouchExport {
    addOnMouseDown: (el: HTMLElement, splitterIndex: number) => void;
    addOnTouchStart: (el: HTMLElement, splitterIndex: number) => void;
    addOnClick: (el: HTMLElement, splitterIndex: number) => void;
    touch: Ref<TouchSplitter>;
}
export default function useSplitterTouch(splitterRef: Ref<HTMLElement | null>, panes: Ref<Pane[]>, panesCount: ComputedRef<number>, horizontal: boolean): SplitterTouchExport;
export {};
