import { NotificationItem } from '../types';
export type NotificationItemWithTimer = NotificationItem & {
    timer?: number;
};
export declare class Timer {
    private start;
    private remaining;
    private notifyItem;
    private callback;
    constructor(callback: () => void, delay: number, notifyItem: NotificationItemWithTimer);
    pause(): void;
    resume(): void;
}
